cURL
curl -X GET https://api.bizmori.com/api/v2/orders/ORDER_ID/download \
-H "Authorization: Bearer YOUR_API_TOKEN"const orderId = 'ORDER_ID';
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/${orderId}/download`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();
// data.data.downloadUrl contains the presigned download URLimport requests
order_id = 'ORDER_ID'
response = requests.get(
f'https://api.bizmori.com/api/v2/orders/{order_id}/download',
headers={'Authorization': 'YOUR_API_KEY'}
)
data = response.json()
# data['data']['downloadUrl'] contains the presigned download URL
{
"data": {
"downloadUrl": "<string>",
"expiresIn": 3600
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}Orders
다운로드 URL 발급
완료된 주문 파일의 다운로드 URL을 발급합니다.
complete상태의 주문에서만 사용 가능- URL 유효 시간: 1시간
- 주문 생성 후 최대 7일까지 파일 다운로드 가능
- 7일이 경과하면 주문이
expired상태로 전환되며, 이후 파일을 다운로드할 수 없습니다
GET
/
api
/
v2
/
orders
/
{orderId}
/
download
cURL
curl -X GET https://api.bizmori.com/api/v2/orders/ORDER_ID/download \
-H "Authorization: Bearer YOUR_API_TOKEN"const orderId = 'ORDER_ID';
const response = await fetch(
`https://api.bizmori.com/api/v2/orders/${orderId}/download`,
{ headers: { 'Authorization': 'Bearer YOUR_API_TOKEN' } }
);
const data = await response.json();
// data.data.downloadUrl contains the presigned download URLimport requests
order_id = 'ORDER_ID'
response = requests.get(
f'https://api.bizmori.com/api/v2/orders/{order_id}/download',
headers={'Authorization': 'YOUR_API_KEY'}
)
data = response.json()
# data['data']['downloadUrl'] contains the presigned download URL
{
"data": {
"downloadUrl": "<string>",
"expiresIn": 3600
}
}{
"code": "AUTH_NOT_AUTHENTICATED"
}{
"code": "RESOURCE_NOT_FOUND"
}⌘I